UninstallerContext (install4j API)
Date: 2009-06-17

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.context
Interface UninstallerContext

All Superinterfaces:
  Context

    public interface UninstallerContext

extends Context

The context provided by the uninstaller. In addition to the methods in the `Context` interface, this extended context offers methods that are specific to the uninstaller.

Author:
  ej-technologies GmbH

Method Summary
`boolean` | `isUninstallForUpgrade()` Returns whether the uninstaller is running as part of an upgrade.

Methods inherited from interface com.install4j.api.context.Context
`addInstallerEventListener, getActionById, getActions, getActions, getAddOnApplicationId, getApplicationId, getBooleanVariable, getCompilerVariable, getDestinationFile, getDestinationFile, getDestinationFileInfo, getExternalFile, getFileSetById, getFileSets, getFirstAction, getFirstScreen, getInstallationComponentById, getInstallationComponents, getInstallationDirectory, getLanguageId, getLauncherById, getLaunchers, getMessage, getMessage, getProgressInterface, getScreenById, getScreens, getScreens, getVariable, getVariableNames, getWizardContext, goBack, goBackInHistory, goBackInHistory, goForward, gotoScreen, handleCriticalException, isCancelling, isConsole, isErrorOccured, isUnattended, registerHiddenVariable, registerResponseFileVariable, removeInstallerEventListener, runScript, setErrorOccured, setVariable, triggerReboot`

Method Detail

### isUninstallForUpgrade

    boolean isUninstallForUpgrade()

  Returns whether the uninstaller is running as part of an upgrade. This method returns `true` when the uninstaller is run by the "Uninstall previous installation" of another installer perfroming an upgrade into the same directory.

  Returns:
    `true` or `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD